Distribution:	CCux
Packager:	Karsten Brockmann <arcam@ccux-linux.de>

Name:		fotoxx
Summary:	digital image editing tool
URL:		http://kornelix.squarespace.com/fotoxx/
License:	GNU/GPL
Version:	8.6
Release:	1
Group:		Multimedia/Graphics
BuildRoot:	%{_tmppath}/%{name}-buildroot
Source:		%{name}-%{version}.tar.gz
Source200:	%{name}.desktop
Patch0:		fotoxx-8.6-Makefile.patch
Requires:	perl-exiftool
BuildRequires:  perl-exiftool


#Automatically resolved build dependencies
BuildRequires: atk-devel
BuildRequires: cairo-devel
BuildRequires: fontconfig-devel
BuildRequires: freeimage-devel
BuildRequires: freetype-devel
BuildRequires: glibc-devel
BuildRequires: glib-devel
BuildRequires: gtk2+-devel
BuildRequires: libgcc
BuildRequires: libstdc++-devel
BuildRequires: pango-devel
BuildRequires: zlib-devel

%description
Navigate images with a pageable thumbnail window, edit an entire image or selected areas,
change brightness and contrast, flatten brightness distribution, change color intensity,
reduce the number of colors (posterize), make panoramas, make HDR images, crop,
rotate (any angle), rescale, fix red-eye, fix perspective (slanted buildings), warp,
sharpen, blur, remove noise (speckles), add tags to images and search by tags,
make a collage of images and text, print.

%pre

%preun

%post
ldconfig

%postun
ldconfig
%prep
%setup -n %{name}-%{version}
%patch0 -p1

%build
make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT

# desktop integration
install -Dm 644 -p data/icons/%{name}.png $RPM_BUILD_ROOT%_pixmaps/%{name}.png
desktop-file-install --vendor="" --mode 644 --remove-category="Application" --dir $RPM_BUILD_ROOT%_applications/ %{SOURCE200}

%files
%defattr(-,root,root)
%_bindir/%{name}
%_datadir/doc/%{name}
%_datadir/%{name}
%_mandir/man1/*.1.gz
%_applications/%{name}.desktop
%_pixmaps/%{name}.png

%clean
rm -rf $RPM_BUILD_ROOT

%changelog
* Wed Oct 14 2009 Christian Wasem <wasem@ccux-linux.de> 8.6-1
- Version update
* Fri May 15 2009 Christian Metzen <metzench@ccux-linux.de> 6.8-1
- Version update
* Mon May 04 2009 Christian Wasem <wasem@ccux-linux.de> 6.7-1
- Version update
* Tue Jan 06 2009 Christian Metzen <metzench@ccux-linux.de> 5.8-1
- Version update
* Tue Dec 09 2008 Karsten Brockmann <arcam@ccux-linux.de> 5.7.1-1
- initial CCux package release
